Name:           ansible-collection-community-crypto
Version:        2.18.0
Release:        2.202403282313git538a96dd%{?dist}
Summary:        The community.crypto collection for Ansible
License:        GPL-3.0-or-later AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND PSF-2.0
URL:            https://github.com/ansible-collections/community.crypto
Source:         https://github.com/ansible-collections/community.crypto/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ansible-packaging

Requires:       python3-cryptography
# Ansible 2.9 for Rhel 8 and older
%if 0%{?rhel} && 0%{?rhel} <= 8
Requires:	    ansible >= 2.3, ansible < 2.10
Conflicts:	    ansible-core
%else
Requires:	    ansible-core
%endif


%description
%{summary}.


%prep
%autosetup -c %{name}-%{version}-%{release}
# remove shebangs from python files to avoid unnecessary dependency
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Ansible_collections/#_shebangs
find -type f -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find -type f -executable -name '*.py' -print -exec chmod a-x '{}' +
# patch galaxy.yml to not add unnecessary files
echo "--- a/galaxy.yml
+++ b/galaxy.yml
@@ -39,3 +39,20 @@
   - 'community-crypto-*.tar.gz'
   - .gitignore
   - changelogs/.plugin-cache.yaml
+  - .azure-pipelines
+  - .gitreview
+  - .github
+  - changelogs/fragments/.keep
+  - tests
+  # Ignore temporary build files
+  - .pyproject-builddir
+  # Ignore docs and licenses that we install elsewhere
+  - docs
+  - 'README.*'
+  - 'CHANGELOG.*'
+  - '*.sh'
+  - '*.spec'
+  - '*.patch'
+  - COPYING
+  - LICENSES
+  - .reuse" | patch

%ansible_collection_build

%install

%ansible_collection_install

%files -f %{ansible_collection_filelist}
%license COPYING
%doc README.* CHANGELOG.*


%changelog
* Thu Mar 28 2024 Jorge A Gallegos <jgallego@redhat.com> - 2.18.0-2
- Set correct dependency on python3-cryptography

* Tue Mar 19 2024 Jorge Gallegos <jgallego@redhat.com> 2.18.0-1
- New Upstream release
